Bug 26701 - Remove scripts from C4/SIP directory
Summary: Remove scripts from C4/SIP directory
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: SIP2 (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-16 00:26 UTC by David Cook
Modified: 2021-02-11 22:35 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.05.00


Attachments
Bug 26701: Remove unused C4/SIP scripts (9.27 KB, patch)
2021-01-07 14:24 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 26701: Remove unused C4/SIP scripts (9.33 KB, patch)
2021-01-11 11:31 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 26701: Remove unused C4/SIP scripts (9.43 KB, patch)
2021-01-11 13:10 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2020-10-16 00:26:06 UTC
There are a number of Perl (and Python) scripts in the C4/SIP directory. 

These look like test scripts which shouldn't be on a production system. 

Perhaps we could relocate them to misc/ if we don't want to delete them.
Comment 1 Jonathan Druart 2020-12-02 10:41:21 UTC
There don't bring much, I am in favour of removing them.

At least C4/SIP/interactive_renew_all_dump.pl is broken since 
  commit d85f757ce7bf446705a8d76bc0d2280705a2d88d
  Date:   Thu Oct 30 15:36:09 2014 +0000
  Bug 7904 Change SIP modules to use standard LIB path

Kyle, Colin, are you using them?
Comment 2 Kyle M Hall 2020-12-03 16:31:40 UTC
(In reply to Jonathan Druart from comment #1)
> There don't bring much, I am in favour of removing them.
> 
> At least C4/SIP/interactive_renew_all_dump.pl is broken since 
>   commit d85f757ce7bf446705a8d76bc0d2280705a2d88d
>   Date:   Thu Oct 30 15:36:09 2014 +0000
>   Bug 7904 Change SIP modules to use standard LIB path
> 
> Kyle, Colin, are you using them?

I can state confidently that I didn't even know about this script :)
Comment 3 David Cook 2020-12-04 02:13:30 UTC
(In reply to Kyle M Hall from comment #2)
> I can state confidently that I didn't even know about this script :)

I'm glad that I'm not the only one who didn't know that these existed! (Koha is so big O_O.)
Comment 4 Jonathan Druart 2021-01-07 14:24:37 UTC
Created attachment 114921 [details] [review]
Bug 26701: Remove unused C4/SIP scripts

Those scripts are not known to be used, we can remove them from the Koha
codebase.

Test plan:
Confirm that the scripts removed by this patch are not used anywhere
from Koha.
Comment 5 Martin Renvoize 2021-01-11 11:31:30 UTC
Created attachment 115012 [details] [review]
Bug 26701: Remove unused C4/SIP scripts

Those scripts are not known to be used, we can remove them from the Koha
codebase.

Test plan:
Confirm that the scripts removed by this patch are not used anywhere
from Koha.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2021-01-11 11:32:06 UTC
I've never used any of these.. they look to be from early development testing to me.

Signing off.
Comment 7 Nick Clemens 2021-01-11 13:10:12 UTC
Created attachment 115021 [details] [review]
Bug 26701: Remove unused C4/SIP scripts

Those scripts are not known to be used, we can remove them from the Koha
codebase.

Test plan:
Confirm that the scripts removed by this patch are not used anywhere
from Koha.

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 8 Jonathan Druart 2021-01-12 10:42:58 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 9 Fridolin Somers 2021-01-18 14:25:04 UTC
I propose to skip backport on stable branches.